var React = require('react');
var createReactClass = require('create-react-class');
var SectionStore = require('../stores/SectionStore');
var NavSubMenuStore = require('../stores/NavSubMenuStore');
var NavSubMenuItem = require('./NavSubMenuItem.react.js');
var MainSection = require('./MainSection.react');


var getState = function (menuState) {
  return {
    allSectionItems: SectionStore.getAll(),
    attributes : NavSubMenuStore.getAll()
  };
};

var BookSectionItem = createReactClass({

  getInitialState: function () {
    return getState(true);
  },

  componentDidMount: function () {

    SectionStore.addChangeListener(this._onChange);
    NavStore.addChangeListener(this._onChange);
  },

  componentWillUnmount: function () {
    
    SectionStore.removeChangeListener(this._onChange);
    NavStore.removeChangeListener(this._onChange);
  },

  /**
   * @return {object}
   */
  render: function () {

    var className = 'toggled book';
    console.log('className',className);
    return (
      <div id="wrapper" className={className}>
      <NavSubMenuItem  navMenuItemId = {"langScal"} attributes = {this.state.attributes }/>
      <MainSection attributes = {this.state.attributes } />
    </div>
    );
  },

  _onClick: function (e) {
    e.preventDefault();

  },
  /**
   * Event handler for 'change' events coming from stores
   */
  _onChange: function () {
    this.setState(getState(this.state.menuToggle));
  }

});

module.exports = BookSectionItem;
